<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\WebhookLog;
class WebhookController extends Controller
{
    public function handleWebhook(Request $request)
    {
        // Validate incoming data
        $validated = $request->validate([
            'notifyType' => 'required|string',
            'content' => 'required|array'
        ]);

        // Save webhook data to database
        WebhookLog::create([
            'notify_type' => $validated['notifyType'],
            'content' => json_encode($validated['content'])
        ]);

        return response()->json(['status' => 'success'], 200);
    }


}
